package com.yijia.station.mapper;

import java.util.List;
import java.util.Map;

import com.yijia.station.domain.StationDeviceManage;

/**
 * 油站设备管理Mapper接口
 * 
 * @author yijia
 * @date 2021-01-13
 */
public interface StationDeviceManageMapper 
{
    /**
     * 查询油站设备管理
     * 
     * @param deviceId 油站设备管理ID
     * @return 油站设备管理
     */
    public StationDeviceManage selectStationDeviceManageById(Long deviceId);

    /**
     * 查询油站设备管理列表
     * 
     * @param stationDeviceManage 油站设备管理
     * @return 油站设备管理集合
     */
    public List<StationDeviceManage> selectStationDeviceManageList(StationDeviceManage stationDeviceManage);

    /**
     * 新增油站设备管理
     * 
     * @param stationDeviceManage 油站设备管理
     * @return 结果
     */
    public int insertStationDeviceManage(StationDeviceManage stationDeviceManage);

    /**
     * 修改油站设备管理
     * 
     * @param stationDeviceManage 油站设备管理
     * @return 结果
     */
    public int updateStationDeviceManage(StationDeviceManage stationDeviceManage);

    /**
     * 删除油站设备管理
     * 
     * @param deviceId 油站设备管理ID
     * @return 结果
     */
    public int deleteStationDeviceManageById(Long deviceId);

    /**
     * 批量删除油站设备管理
     * 
     * @param deviceIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteStationDeviceManageByIds(Long[] deviceIds);

    Map<String, Object> getPrinterSnByStationId(Map<String, Object> params);
}
